.tx-partner {
    position: relative;
    background: #f1f1f1;
    padding: 8vh 10vw;
}

.partner-slider-container {
    position: relative;
    overflow: hidden;
    width: 100%;
    padding: 20px 0;
}

.partner-slider {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    gap: 20px;
    transition: transform 0.5s ease;
    will-change: transform;
}

.partner-slide {
    flex: 0 0 calc((100% - 20px * 5) / 6);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    text-align: center;
}

.partner-logo {
    width: 100%;
    max-width: 180px;
    height: auto;
    object-fit: contain;
    filter: grayscale(0.1);
    transition: transform .3s ease, filter .3s ease;
}

.partner-logo:hover {
    transform: scale(1.07);
    filter: grayscale(0);
}
.partner-nav {
    position: absolute;
    top: 50%;
    cursor: pointer;
    font-size: 30px;
    border: none;
    font-family: monospace;
    color: #8f8f8f;
}

.partner-nav.prev {
    left: 5vw;
}

.partner-nav.next {
    right: 5vw;
}

.partner-nav:hover {
    color: #303030;
}

/* Tablet: 4 Logos sichtbar */
@media (max-width: 1024px) {
    .tx-partner { padding: 8vh 4vw; }
  .partner-slider { gap: 16px; }
  .partner-slide {
    flex: 0 0 calc((100% - 16px * 3) / 4);
  }
  .partner-logo { max-width: 145px;}
  #trailer-home  {
    font-size: 2em !important;
  }
  
}


/* Mobile: 2 Logos sichtbar */
@media (max-width: 640px) {
  .partner-slider { gap: 12px; }
  .partner-slide {
    flex: 0 0 calc((100% - 12px * 1) / 2);
  }
  .partner-logo { max-width: 140px; }
}

/* sehr klein: 1 Logo sichtbar */
@media (max-width: 380px) {
  .partner-slide { flex: 0 0 100%; }
}
